# GetProductInfo

### Description

Gets information about a product from the server.

```csharp
 IQlmProductInfo GetProductInfo(string webServiceUrl, string productName, 
                                int productID, int majorVersion, int minorVersion)
```

### Parameters

| Parameter     |  Type  | Description                   |
| ------------- | :----: | ----------------------------- |
| webServiceUrl | string | URL to the QLM License Server |
| productName   | string | name of the product           |
| productID     |   int  | ID of the product             |
| majorVersion  |   int  | major version of the product  |
| minorVersion  |   int  | minor version of the product  |

### Return

| Type                                                               |                           |
| ------------------------------------------------------------------ | ------------------------- |
| [IQlmProductInfo](/docs/api-reference/.net-api/iqlmproductinfo.md) | details about the product |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/getproductinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
